# lugins/osg/Depth.cpp File Reference

`#include "osg/Depth"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/Depth.cpp:

## Functions

bool | Depth_readLocalData (Object &obj, Input &fr)
bool | Depth_writeLocalData (const Object &obj, Output &fw)
bool | Depth_matchFuncStr (const char *str, Depth::Function &func)
const char * | Depth_getFuncStr (Depth::Function func)

## Variables

RegisterDotOsgWrapperProxy | g_DepthProxy (new osg::Depth,"Depth","Object StateAttribute Depth",&Depth_readLocalData,&Depth_writeLocalData)

## Function Documentation

const char * Depth_getFuncStr | ( | Depth::Function | func | ) |

bool Depth_matchFuncStr | ( | const char * | str,
|  | Depth::Function & | func
| ) |

bool Depth_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Depth_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_DepthProxy(new osg::Depth,"Depth","Object StateAttribute Depth",&Depth_readLocalData,&Depth_writeLocalData)